curl --request GET \
--url https://reelmirror.com/api/v1/generated-posts/{post_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_post_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"review_status": "pending_review",
"trigger_source": "manual",
"caption": "<string>",
"error": "<string>",
"media_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media_type": "image",
"position": 123,
"status": "pending",
"url": "<string>",
"is_public": true,
"discount_applied": true,
"voice_conversion_status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Get a generated post with all its media items. Use for polling generation status. Soft-deleted posts are excluded.
curl --request GET \
--url https://reelmirror.com/api/v1/generated-posts/{post_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"persona_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_post_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"review_status": "pending_review",
"trigger_source": "manual",
"caption": "<string>",
"error": "<string>",
"media_items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media_type": "image",
"position": 123,
"status": "pending",
"url": "<string>",
"is_public": true,
"discount_applied": true,
"voice_conversion_status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}